Discrete2DFunction Class Reference

This is a TabulatedFunction that computes a discrete two dimensional function f(x,y). More...

Inheritance diagram for Discrete2DFunction:

## Public Member Functions

def | __init__ (self, args)
| init(OpenMM::Discrete2DFunction self, int xsize, int ysize, vectord values) -> Discrete2DFunction More...
def | getFunctionParameters (self, args)
| getFunctionParameters(Discrete2DFunction self) More...
def | setFunctionParameters (self, args)
| setFunctionParameters(Discrete2DFunction self, int xsize, int ysize, vectord values) More...
def | Copy (self, args)
| Copy(Discrete2DFunction self) -> Discrete2DFunction. More...
def | __del__ (self)
| del(OpenMM::Discrete2DFunction self) More...
Public Member Functions inherited from TabulatedFunction
def | __init__ (self, args, kwargs)
def | __del__ (self)
| del(OpenMM::TabulatedFunction self) More...
def | Copy (self, args)
| Copy(TabulatedFunction self) -> TabulatedFunction. More...

## Public Attributes

| this

## Detailed Description

This is a TabulatedFunction that computes a discrete two dimensional function f(x,y).

To evaluate it, x and y are each rounded to the nearest integer and the table element with those indices is returned. If either index is outside the range [0, size), the result is undefined.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::Discrete2DFunction self, int xsize, int ysize, vectord values) -> Discrete2DFunction

This is a TabulatedFunction that computes a discrete two dimensional function f(x,y). To evaluate it, x and y are each rounded to the nearest integer and the table element with those indices is returned. If either index is outside the range [0, size), the result is undefined.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::Discrete2DFunction self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def Copy | ( |  | self,
|  |  | args
| ) |  |

Copy(Discrete2DFunction self) -> Discrete2DFunction.

References simtk.openmm.openmm.stripUnits().

def getFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

getFunctionParameters(Discrete2DFunction self)

References simtk.openmm.openmm.stripUnits().

def setFunctionParameters | ( |  | self,
|  |  | args
| ) |  |

setFunctionParameters(Discrete2DFunction self, int xsize, int ysize, vectord values)

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py